Loading...
Searching...
No Matches
mesh.h File Reference
`#include <string>`
`#include "mfem.hpp"`
Include dependency graph for mesh.h:
This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | stroid
namespace | stroid::IO

## Enumerations

enum class | stroid::IO::VISUALIZATION_MODE : uint8_t { stroid::IO::NONE , stroid::IO::ELEMENT_ID , stroid::IO::BOUNDARY_ELEMENT_ID }
| Visualization modes for GLVis display. More...

## Functions

void | stroid::IO::SaveMesh (const mfem::Mesh &mesh, const std::string &filename)
| Save a mesh to MFEM's native `.mesh` format.
void | stroid::IO::SaveVTU (mfem::Mesh &mesh, const std::string &exportName)
| Save a mesh as a ParaView VTU dataset.
void | stroid::IO::ViewMesh (mfem::Mesh &mesh, const std::string &title, VISUALIZATION_MODE mode, const std::string &vishost, int visport)
| Stream a mesh to a running GLVis server for interactive viewing.
void | stroid::IO::VisualizeFaceValence (mfem::Mesh &mesh)
| Visualize boundary face valence (1=surface, 2=internal).